
screen my_mainmenu():
    textbutton _("start") action Start() xalign .5
    textbutton _("continue") action ShowMenu("load") xalign .5
    textbutton _("settings") action ShowMenu("preferences") xalign .5
    if renpy.variant("pc"):
        textbutton _("quit") action Quit(confirm=not main_menu) xalign .5

init -2:
    define audio.maintheme = "audio/Intimate_Feeling_--_Chicory_and_the_Roots.ogg"
    define audio.song1 = "audio/DemonDiscoGothRaveChippyThing.ogg"
    # define audio.song1b = "audio/DemonDiscoGothRaveChippyThingNoDrums.ogg"
    define audio.song2 = "audio/Who_Needs_a_Face_-_Lil_Mallow.ogg"
    define audio.song3 = "audio/ForMelon_-_Mint_Chip.ogg"
    define audio.song4 = "audio/Up_and_Down_-_The_Tater_Tots.ogg"

    define audio.bonussong1 = "audio/netherworld mischief.ogg"
    define audio.bonussong2 = "audio/date.ogg"
    define audio.bonussong3 = "audio/attraction.ogg"

    ##sfx
    define audio.button = "audio/Triangle Up.wav"
    define audio.button2 = "audio/Triangle Down.wav"
    define audio.choose = "audio/Light Sin - Up.wav"

init python:

    # Step 1. Create a MusicRoom instance.
    mr = MusicRoom()

    # Step 2. Add music files.
    mr.add(audio.maintheme, always_unlocked=True, action=SetVariable("musicindex", 0))
    mr.add(audio.song1, always_unlocked=True, action=SetVariable("musicindex", 1))
    mr.add(audio.song2, always_unlocked=True, action=SetVariable("musicindex", 2))
    mr.add(audio.song3, always_unlocked=True, action=SetVariable("musicindex", 3))
    mr.add(audio.song4, always_unlocked=True, action=SetVariable("musicindex", 4))
    mr.add(audio.bonussong1, always_unlocked=True, action=SetVariable("musicindex", 5))
    mr.add(audio.bonussong2, always_unlocked=True, action=SetVariable("musicindex", 6))
    mr.add(audio.bonussong3, always_unlocked=True, action=SetVariable("musicindex", 7))

    def get_songnumber():
        if renpy.music.get_playing()==audio.maintheme:
            return 0
        elif renpy.music.get_playing()==audio.song1:
            return 1
        elif renpy.music.get_playing()==audio.song2:
            return 2
        elif renpy.music.get_playing()==audio.song3:
            return 3
        elif renpy.music.get_playing()==audio.song4:
            return 4
        elif renpy.music.get_playing()==audio.bonussong1:
            return 5
        elif renpy.music.get_playing()==audio.bonussong2:
            return 6
        elif renpy.music.get_playing()==audio.bonussong3:
            return 7
        else:
            return 100


# define playlist = [audio.maintheme, audio.song1, audio.song2, audio.song3,
#     audio.bonussong1, audio.bonussong2, audio.bonussong3]
define songnames = [_("Intimate Feeling"),
    _("Witching Hour (Club Mix)"),
    _("Who Needs a Face"),
    _("For Melon"),
    _("Up and Down"),
    _("Netherworld Mischief"),
    _("Lovely Date"),
    _("Attraction")]

define artistnames = [_("Chicory and the Roots"),
    _("Lord Garlic"),
    _("Lil Mallow"),
    _("Mint Chip"),
    _("The Tater Tots"),
    _("Contract Demon"),
    _("Starry Flowers"),
    _("BAD END THEATER")]

transform marquee_move(t):
    subpixel True
    xanchor 0.0 xpos 0 alpha 0
    linear .2 alpha 1.0
    pause 1.5
    linear t xanchor 1.0 xpos 0.0
    pause .5
    repeat
transform rtl_marquee_move(t):
    xanchor 1.0 xpos 0.0
    linear t xanchor 0.0 xpos 1.0
    pause 1.0
    repeat

screen marquee(text, width=300, t=8):
    fixed:
        # yalign .98
        yfit True
        xsize width
        at Transform(crop=(0, 0, 1.0, 1.0), crop_relative=True)

        text text:
            layout "nobreak"
            # size gui.text_size
            alt ""
            if renpy.config.rtl:
                at rtl_marquee_move(t)
            else:
                at marquee_move(t)

screen mediaplayer():
    if persistent.clear:
        on "show" action mr.RandomPlay()
    else:
        on "show" action mr.Play()

    style_prefix "media"

    frame xysize (400,122):# align (1.0,0):
        left_padding 8
        top_padding 14
        # xfill True

        # bar xsize 100 ysize 20:
        #     # if renpy.music.is_playing():
        #     if renpy.music.get_pos():
        #         value int(renpy.music.get_pos())
        #         range int(renpy.music.get_duration())
        #     # else:
        #     #     value 0
        #     #     range 1

        #navi
        hbox:
            xalign .9
            yalign 1.0
            imagebutton auto "gui/button/shuffle_%s.png" action mr.ToggleShuffle()
            imagebutton auto "gui/button/repeat_%s.png" action mr.ToggleSingleTrack()
            imagebutton auto "gui/button/prev_%s.png" action mr.Previous()
            imagebutton auto "gui/button/play_%s.png" action mr.TogglePause() yoffset -8 xmargin -4
            imagebutton auto "gui/button/next_%s.png" action mr.Next()
            imagebutton auto "gui/button/mute_%s.png" action ToggleMute("music")
            null width 4
            bar value Preference("music volume") xsize 80 yoffset 10
            # textbutton _("prev"):
            #     if musicindex==0:
            #         action [ SetScreenVariable("musicindex", len(playlist)-1), Play("music", playlist[len(playlist)-1], loop=persistent.loopsong) ]
            #     else:
            #         action [ SetScreenVariable("musicindex", musicindex-1), Play("music", playlist[musicindex-1], loop=persistent.loopsong) ]
            # textbutton _("next"):
            #     if musicindex==len(playlist)-1:
            #         action [ SetScreenVariable("musicindex", 0), Play("music", playlist[0], loop=persistent.loopsong) ]
            #     else:
            #         action [ SetScreenVariable("musicindex", musicindex+1), Play("music", playlist[musicindex+1], loop=persistent.loopsong) ]
            # textbutton _("shuffle")
            # textbutton _("repeat") action ToggleVariable("persistent.loopsong")
            # textbutton _("mute") action ToggleMute("music")
        hbox:
            add "musicnote"
            # box_wrap True
            # use marquee(str(songnames[musicindex] + " - " + artistnames[musicindex]))
            # text songnames[musicindex]
            # text " - "
            # text artistnames[musicindex]
            text str(songnames[musicindex] + " - " + artistnames[musicindex]) #layout "nobreak"

screen comfortlevel():

    frame xysize (400,60) align (1.0,1.0):
        has vbox
        xalign .5
        text _("Comfort Level:") font gui.menu_text_font xoffset -20
        hbox:
            xoffset -10
            spacing 10
            add "heart"
            bar value AnimatedValue(comfort, range=10, delay=.8) xsize 300 ysize 20

transform dissolvein:
    alpha 0
    easein .8 alpha 1.0
transform screenappear:
    alpha 0 yoffset 20
    easein .8 alpha 1.0 yoffset 0
transform delayappear:
    alpha 0
    pause .8
    linear .5 alpha 1.0

transform reactiontext:
    alpha 0 yoffset 16
    parallel:
        easeout .2 alpha 1.0
    parallel:
        linear .6 yoffset 0
    on hide:
        easein .5 yoffset -12 alpha 0
transform reactiontext2:
    alpha 0
    pos (1080,180) anchor (.5,.5) rotate 0
    yoffset 0
    parallel:
        easeout .2 alpha 1.0
    parallel:
        pause .6
    on hide:
        easein .5 yoffset 40 rotate 12 alpha 0

screen reaction():
    tag react
    timer .7 action Hide("reaction")
    on "show" action Play("sound", audio.comfortup)
    style_prefix "react"
    frame xsize 400:
        background None
        xalign 1.0 yalign .2
        at reactiontext
        has hbox
        xalign .5
        text "+ "
        text _("comfort")

screen badreaction():
    tag react
    timer .7 action Hide("badreaction")
    style_prefix "badreact"
    on "show" action Play("sound", audio.comfortdown)
    frame:
        background None
        at reactiontext2
        has hbox
        text "- "
        text _("comfort")

style react_text:
    size gui.interface_large_text_size
    font gui.menu_text_font
    color "#98b8ff"
    outlines [(3,"#333",0,0)]

style badreact_text is react_text:
    color "#ff98aa"
    outlines [(3,"#333",0,0)]

screen signon():
    timer 2.0 action Return()
    button xysize (460,720):
        align (.5,0)
        action Return()
    text _("connecting to server...") align (.5,.5) at dissolvein

screen clientprofile(name, age, pronouns, bio, icon=None):
    frame xysize (460,580):
        at dissolvein
        background "#292B2F"
        align (.5,0)
        padding (20,20)
        vbox:
            at screenappear
            label _("- today's client -") xalign .5 text_font gui.menu_text_font text_size gui.interface_large_text_size text_color "#fff"
            null height 40
            hbox:
                if icon:
                    add icon
                label name text_color "#fff" text_font gui.menu_text_font yalign 1.0
            null height 12
            frame:
                xfill True
                background "#18191C"
                padding (20,20)
                has vbox
                spacing 12
                hbox:
                    xfill True
                    hbox:
                        spacing 8
                        text _("Age: [age]")
                    hbox:
                        spacing 8
                        text _("Pronouns: [pronouns!t]")
                text _("Bio: [bio!t]")

    textbutton _("> enter chat <") action Return() style "main_menu_button" xalign .5 yalign .7 at delayappear# activate_sound audio.button


screen result(ending):
    style_prefix "result"
    frame xysize (460,580):
        # dismiss action Return()
        at dissolvein
        background "#292B2F"
        align (.5,0)
        padding (20,30)
        vbox:
            at screenappear
            xalign .5
            label "[ending!t]" text_size gui.interface_large_text_size
            null height 20
            label _("comfort rating: [comfort]/10")
            null height 20
            label _("review:")
            for i in review:
                text i
    frame xysize (460,720):
        background None xalign .5
        textbutton _("> OK! <") xalign .5 yalign .94 action Return() style "main_menu_button" at delayappear

style result_label_text is gui_label_text:
    color "#fff"
    font gui.menu_text_font

screen credits():
    default page = 1
    style_prefix "credits"
    frame xysize (460,580):
        background "#292B2F"
        align (.5,0)
        padding (0,30)
        vbox:
            at screenappear
            xfill True
            if page==1:
                label _("Credits") text_size gui.interface_large_text_size
                null height 30
                label _("Story + Art")
                text "NomnomNami"
                null height 20
                label _("Music")
                text "Jaelights"
                text "NomnomNami"
            else:
                label _("Supported by Patrons") text_size gui.interface_large_text_size at dissolvein
                null height 30
                grid 2 12:
                    at dissolvein
                    xspacing 24
                    xalign .5
                    text "Amari Fukui"
                    text "Ash"
                    text "baa baa black goat"
                    text "Blackberry Mochi"
                    text "Brit"
                    text "BrokenWindupDoll"
                    text "Casey"
                    text "Ensia Moonsnow"
                    text "ILORE"
                    text "IngYa"
                    text "ItsRody"
                    text "Jack Force"
                    text "Jaelights"

                    text "Julian Benda"
                    text "Kayla Cavanaugh"
                    text "Luna"
                    text "OTL_OTL"
                    text "Richard Suh"
                    text "Sam Flare"
                    text "Shinsua"
                    text "Tysken"
                    text "Vxnt"
                    text "Yajoovya"
                    text "Zozim"
                null height 20

                grid 3 7:
                    at dissolvein
                    style_prefix "credits_small"
                    # xspacing 2
                    # xalign .5
                    text "Aaron Gore"
                    text "Alan501"
                    text "Anna Rayne"
                    text "Arsalan foladi"
                    text "Conscript Niko"
                    text "Ethan Kretler"
                    text "Extuvia"
                    text "Hex Witch Circe"
                    text "Jasmine Fox"
                    text "Just-A-Micro"
                    text "Lady Reyne"
                    text "LiamWilson"
                    text "Naka Oma"
                    text "Niko"
                    text "No Fox Given"
                    text "Princess Mimi"
                    text "Rhi"
                    text "scorpanut"
                    text "Sophelia"
                    text "Springfeather"
                    text "大学の地図作成者 -サン" font "tl/None/meiryo.ttc"

    button xysize (460,720):
        align (.5,0)
        if page==1:
            action SetScreenVariable("page", 2)
        else:
            action Return()

style credits_label is gui_label:
    xalign .5
style credits_label_text is gui_label_text:
    font gui.menu_text_font
    color "#fff"
style credits_text is gui_text
style credits_text:
    font gui.credits_name_font
    xalign .5
style credits_small_text is credits_text:
    size 14

screen retry():
    style_group "retry"
    default page = 1

    vbox:
        align (.5,.4) at dissolvein
        spacing 20
        if page==1:
            textbutton _("retry") action Jump("retry") xalign .5
            textbutton _("load game") action ShowMenu("load") xalign .5
            textbutton _("check endings") action SetScreenVariable("page", 2) xalign .5 activate_sound audio.button
            textbutton _("return to title") action Return() xalign .5
        else:
            use endinglist()
            textbutton _("< back") xalign .5 action SetScreenVariable("page", 1) activate_sound audio.button2

screen check_endings():
    zorder 99
    frame xysize (460,720):
        modal True
        at dissolvein
        background "#292B2F"
        align (.5,0)
        padding (20,20)
        vbox:
            align (.5,.4) at screenappear
            spacing 20
            use endinglist()
            # textbutton _("< back") xalign .5 action Hide() activate_sound audio.button2
    dismiss action Hide()

screen endinglist():
    style_prefix "ending"
    label _("endings") text_size gui.interface_large_text_size
    hbox:
        $ endcount = get_endcount()
        label _("collected: [endcount] / 5")
    hbox:
        if persistent.badend:
            add "heart"
            text _("Uncomfortable Ending")
        else:
            text _("???")
    hbox:
        if persistent.normalend:
            add "heart"
            text _("Normal Ending")
        else:
            text _("???")
    hbox:
        if persistent.gfend:
            add "heart"
            text _("Girlfriend Ending")
        else:
            text _("???")
    hbox:
        if persistent.vibeend:
            add "heart"
            text _("Good Vibes Ending")
        else:
            text _("???")
    hbox:
        if persistent.kinkend:
            add "heart"
            text _("Kinkster Ending")
        else:
            text _("???")

style retry_button is main_menu_button
style retry_button_text is main_menu_button_text
style retry_label is credits_label
style retry_label_text is credits_label_text
# style retry_text:
style retry_hbox:
    xalign .5
    spacing 4

style ending_label is retry_label
style ending_label_text is retry_label_text
style ending_hbox is retry_hbox
